Bug 7870 - Replace itemnumber by barcode in links of patron modification log
Summary: Replace itemnumber by barcode in links of patron modification log
Status: CLOSED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Transaction logs (show other bugs)
Version: 3.10
Hardware: All All
: P5 - low enhancement (vote)
Assignee: Koha Team Lyon 3
QA Contact: Marcel de Rooy
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2012-04-02 11:01 UTC by Koha Team Lyon 3
Modified: 2013-12-05 19:59 UTC (History)
4 users (show)

See Also:
Change sponsored?: ---
Patch complexity: ---
Who signed the patch off:
Text to go in the release notes:
Version(s) released in:


Attachments
Replace itemnumber by barcode in links of patron modification log (2.04 KB, patch)
2012-04-02 11:01 UTC, Koha Team Lyon 3
Details | Diff | Splinter Review
barcode instead of itemnumber (5.71 KB, image/png)
2012-04-02 11:02 UTC, Koha Team Lyon 3
Details
Replace itemnumber by barcode in links of patron modification log (2.30 KB, patch)
2012-04-10 20:41 UTC, Liz Rea
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Koha Team Lyon 3 2012-04-02 11:01:04 UTC Comment hidden (obsolete)
Comment 1 Koha Team Lyon 3 2012-04-02 11:02:31 UTC
Created attachment 8762 [details]
barcode instead of itemnumber
Comment 2 Liz Rea 2012-04-10 20:41:37 UTC
Created attachment 9093 [details] [review]
Replace itemnumber by barcode in links of patron modification log

in the ISSUE and RETURN links to item

http://bugs.koha-community.org/show_bug.cgi?id=7870
Signed-off-by: Liz Rea <wizzyrea@gmail.com>
Passes tests, works as expected. Perhaps for followup - items that have been deleted are linked, but do not work. If an itemnumber doesn't exist, it should not be linked.
Comment 3 Marcel de Rooy 2012-05-10 07:42:27 UTC
QA Comment:
Do not see a problem replacing itemnumber with barcode. Small change.
Passed QA
Comment 4 Paul Poulain 2012-05-11 09:29:00 UTC
Patch pushed, welcome as a commiter !
Comment 5 Chris Cormack 2012-05-11 21:15:53 UTC
Small change, more a bugfix than enhancement this will be in 3.8.1